#portail-wrapper {
	padding: 10px;
	width: calc(100% - 20px);
	height: calc(100vh - 20px);
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	align-items: center;
	opacity: 0;
	transition: opacity 1s ease;
}

#portail-wrapper::before {
    content: ''; /* Nécessaire pour le pseudo-élément */
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
	background-image: url(../assets/images/background.jpg);
    background-size: cover; /* Ajuste la taille de l'image */
    background-position: center; /* Centre l'image */
    opacity: 0.2; /* Opacité de l'image */
    z-index: -1; /* Place l'image derrière le contenu */
}

#portail-wrapper img {
	border-radius: 50%;
	margin-top: 20px;
	padding: 10px;
	max-width: 192px;
}

#portail-wrapper.hidden {
    display: none; /* Masqué complètement au départ */
}

/* Afficher avec effet */
#portail-wrapper.visible {
    display: flex;
    opacity: 1; /* Rend la div visible avec un fondu */
}

#portail-wrapper h1 { margin-top: 0; width: 100%; border: 1px solid #CCC; text-align: center; }
#portail-wrapper h1 span { display: block; font-size: 1rem; color: #555; }

/* Première page index.html */
#portail-wrapper #copyright { 
	width: 100%; 
	padding: 5px 0 5px 0;
	text-align: center;
	position: absolute;
	bottom: 0;
	font-size: 1.0rem;
	color: #555;
	border-top: 1px solid #CCC;	
	background-color: #FFE6E6;
}

.row { 
  display: flex; 
  flex-direction: column;
  justify-content: flex-start;
  margin-bottom: 20px;
}

label { font-size: 0.8rem; font-weight: bold; }
input { 
  padding: 5px;
  width: calc(100% - 10px);
}

#debug {
  max-width: 500px; 
  padding: 5px;
  overflow-x: hidden;
  overflow-y: auto;
  height: 150px;
  color: #555;
  border: 1px solid #CCC;
  margin-top: 20px;
}

#portail-wrapper #connexion,
#portail-wrapper #register,
#portail-wrapper #formulaire { width: 40%; max-width: 300px; }

#portail-wrapper #connexion { margin-top: 10%; }
#portail-wrapper #register { background-color: #555; }
#portail-wrapper #register.disabled { background-color: #CCC; }

@media all and (max-width: 500px) {
  #portail-wrapper #connexion { width: 90%; }
  #portail-wrapper #register { width: 90%; }
  #portail-wrapper #register.disabled { width: 90%; }
  #portail-wrapper #formulaire { width: 90%; }

  #portail-wrapper #config { width: 90%; background-color: #CCC; }
  #portail-wrapper #install { width: 90%; }
}
